%define dist EL
%define distver 5

%define name phoronix-test-suite
%define version 2.8.2
%define release 2

Summary: The Phoronix Test Suite is the most comprehensive testing and benchmarking platform available that provides an extensible framework for which new tests can be easily added.
Name: %{name}
Version: %{version}
Release: %{release}.%{dist}%{distver}
Source0: %{name}-%{version}.tar.gz
Source1: test-suite-atm.xml
License: BSD License
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
BuildArch: noarch
Requires: php-cli >= 5.1
Vendor: phoronix@phoronix.com
Url: http://www.phoronix-test-suite.com/

%description
Originally developed for automated Linux testing, support to the Phoronix Test Suite has since been added for OpenSolaris, Apple Mac OS X, Microsoft Windows, and BSD operating systems. The Phoronix Test Suite consists of a lightweight processing core (pts-core) with each benchmark consisting of an XML-based profile and related resource scripts. The process from the benchmark installation, to the actual benchmarking, to the parsing of important hardware and software components is heavily automated and completely repeatable, asking users only for confirmation of actions.

   1. 130+ Test Profiles
   2. 60+ Test Suites
   3. Extensible Testing Architecture
   4. Optional Linux-based LiveDVD/USB Testing Distribution (PTS Desktop Live)
   5. Automated Test Installation
   6. Dependency Management Support
   7. Module-based Plug-In Architecture
   8. PNG, JPG, GIF, Adobe SWF, SVG Graph Rendering Support
   9. Automated Batch Mode Support
  10. Global Database For Result Uploads, Benchmark Comparisons
  11. Detailed Software, Hardware Detection
  12. System Monitoring Support
  13. GTK2 Graphical User Interface + Command-Line Interface
  14. Runs On Linux, OpenSolaris, Mac OS X, Windows 7, & BSD Operating Systems

%package suite-atm
Summary: Phoronix-test-suite suite ATM, intend to run ATM Application specific tests
Group:  Developement/Libraries
Requires: compat-libstdc++-33
Requires: curl, libcurl
Requires: boost, boost-devel
Requires: openal-soft, openal-soft-devel
Requires: jam
Requires: numactl, numactl-devel
Requires: gcc-gfortran
Requires: glibc-devel, glibc
Requires: bzip2, bzip2-libs
Requires: ncurses, ncurses-devel
Requires: scons
Requires: zlib, zlib-devel
Requires: java-1.6.0-openjdk
Requires: libpng, libpng-devel, tcl, yasm
# default BuildSystem requirements
Requires: bash, coreutils, cpio, diffutils, redhat-release, findutils
Requires: gawk, gcc, gcc-c++, grep, gzip, info, make, patch, redhat-rpm-config
Requires: sed, shadow-utils, tar, unzip, which, python, perl

%description suite-atm
Runs phoronix-tests:
    apache
    build-apache
    build-mysql
    build-php
    bwfirt
    byte
    cachebench
    compress-7zip
    compress-pbzip2
    crafty
    c-ray
    dcraw
    encode-flac
    encode-mp3
    ffmpeg
    fhourstones
    gcrypt
    gmpbench
    graphics-magick
    himeno
    john-the-ripper
    mafft
    memory-bandwidth
    npb
    openssl
    opstone-svd
    opstone-svsp
    opstone-vsp
    pgbench
    povray
    ramspeed
    scimark2
    stream
    sudokut
    sunflow
    tachyon
    tscp
    x264

%prep
%setup -q -n %{name}

%build

%install
export DESTDIR=%{buildroot}
./install-sh
find %{buildroot} -type f | grep -v %{_mandir} | sed -e " s#%{buildroot}##; " > INSTALLED_FILES
install -m 0644 %{SOURCE1} %{buildroot}%{_datadir}/phoronix-test-suite/pts/test-suites/atm.xml

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES
%defattr(-,root,root)
%{_mandir}/man*/*

%files suite-atm 
%defattr(-,root,root)
%{_datadir}/phoronix-test-suite/pts/test-suites/atm.xml
